cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted

After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100.

Tags (2)
25 Replies
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

@jsivrts 

Please help us understand what it means when you say 'NetBackup does not see the StoreOnce ' ?

Did you check compatibility between StoreOnce and NBU 8.3? 
Maybe an updated plug-in is needed? 
Or maybe updated StoreOnce software version? 

 

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

Have the same issue in my development environment. What OS is you media server(s)? I ask because support will tell you that if you use Oracle Linux, that OS is not supported even in 8.2, I believe they say it stopped being supported in 8.1.2. Which I don't understand because HPE lists the plugin as supported for NetBackup 8.2  with Oracle Linux and says 8.3 should be supported since it's listed as a minor release.

Forgot to mention, the HPE StoreOnce Catalyst Plugin that I have is 4.2.2.

@Marianne when you run /usr/openv/netbackup/bin/admincmd/bpstsinfo -pi
The HPE StoreOnce Catalyst Plug-in is no longer listed.

You can uninstall the plugin then reinstall but it doesn't fix the issue. If you try to repair the plugin, you get the message that it's already installed.

One or more newer versions of the product are already installed.
An upgrade is not applicable in this case.

 

EDIT: This is what I have found out from my contact.
The issue is that HPE’s OST plug-ins don’t work with NetBackup 8.3. The OST API version bumped to v12 in NB 8.3. The plug-in detects the version, says is isn’t supported and doesn’t load. NetBackup has flagged this issue to HPE.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

I have the latest versions:

FirmWare 3.18.18

Catalyst Plug-in 4.2.2

Tags (2)
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

That wont help. As @Krutons has said, the problem is with the plugin - HPE will need to create a updated version that supports 8.3. 

 

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

I has two media servers with Oracle Linux 6.10, NetBackup 8.2 and HPE OST Catalyst Plug-in for Veritas NetBackup 4.2.2  and it works fine. Master Server is NetBackup 8.3 on RHEL 7.7 with Plug-in 4.2.2 and does not see the HPE StoreOnce 5100.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

There is no such version, the last one is 4.2.2 and it does not work.

Tags (2)
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

Until HPE releases a new version of the HPE OST Plugin, it will not work with NetBackup 8.3.

Here is the info from the plugin.log file.

2020-08-04 13:46:07.543485 (local 09:46) : ERROR : 12610_2521563008 : -1 : - : Global : stspi_init : Ln 331 : OST API version 12 NOT SUPPORTED

I was also told that Oracle Linux is supported for 8.2 and that the HCL will be updated.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

Maybe a simple fix would suffice, for those who need it, to simply include that version in the range supported without the ability to use new features.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

Veritas development is following up with HP. It's a problem with the implemention of a version check on the HP plugin side.  A version check shoudn't be needed as OST is backwards compatible. The plugin only needs to identify as V11 and the NBU side will understand how to route the operations.  

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

How is it possible that HPE Catalyst Plug-in 4.0.2 works properly with both NetBackup 8.1, 8.1.2 and 8.2, and vice versa, how HPE Catalyst Plug-in 4.1.1, 4.2.0 and 4.2.1 do not work properly - they do not show the correct size of Storage Pools in NetBackup 8.1.2 or 8.2.

Tags (2)
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

The issue regarding disk pool size's being shown wrong is a known issue with NetBackup 8.1.2 and 8.2 when you are using the older plugin (not 4.2.2). If you can't upgrade the OST plugin, in the mean time open your StoreOnce Catalyst Stores page in the HPE StoreOnce Web GUI. Then go to the Catalyst store that is displaying wrong in NetBackup and change the "Physical Data Size Quota" from "No Limit" to a value which disk is showing on HP StoreOnce. Otherwise, just upgrade the OST plugin if you're running NetBackup 8.1.2 or 8.2 and not HPE OST Plugin 4.2.2

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

It's becasue the OST version changed in 8.3 when they added support for immutable storage retention locks. 

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

After all, give a tip as to where and how to rewrite it ...

Tags (2)
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

If you are using NetBackup 8.1.2 or 8.2 and are not using the HPE OST Plugin version 4.2.2 and the disk pools are not showing the correct size in NetBackup.

Open the HPE StoreOnce Web GUI and login.
Click "StoreOnce" on the left hand size to expand the menu.
Click "StoreOnce Catalyst" on the left hand size to expand the menu.
Click "Stores" on the left and side.
Select the store that you want to view/edit.
You'll see something like this.

Name
<name>
Description
Replicating Catalyst Store (Source)
Data Job Log Retention Period (Days)
90
Inbound Copy Job Log Retention Period (Days)
90
Outbound Copy Job Log Retention Period (Days)
90
Primary (Default) Transfer Policy
Low Bandwidth
Secondary Transfer Policy
High Bandwidth
Physical Data Size Quota
(No Limit)
Logical Data Size Quota
(No Limit)
Store Encryption Enabled

 

Click "Edit".
Change the "Phyiscal Data Size Quota" from "No Limit" to the usable disk size on that HPE StoreOnce Appliance.
Refresh/Update the disk pool in NetBackup, it will now show the correct size.

Otherwise just upgrade the plugin to 4.2.2 and it will resolve the issue. If you do make these changes and then upgrade, remember to change the "Physical Data Size Quota" back to "No Limit".

This is not a fix to get the HPE OST Plugin to work with NetBackup 8.3, that is currently not an option with the current plugin that HPE has released to the public.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

I'm currently looking for a solution for NetBackup 8.3 and the OST Catalyst Plug-in for Veritas NetBackup 4.2.2, so that I don't have to go back to NetBackup 8.2.

Because it doesn't look like there will be a new OST Catalyst Plug-in for Veritas NetBackup any time soon.

Tags (2)

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

I know that HPE has escalated the issue to their engineering team so once I have an update, I can post it here. Until then, if you want backups to run, downgrading to 8.2 is your only option.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

Just an update that HPE has informed me that the new HPE Catalyst Plugin is at least 6 months out.

Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

What do you mean:
- It's out of order
- has been released
Tags (2)
Highlighted

Re: After upgrading to Veritas NetBackup 8.3, NetBackup does not see the HPE StoreOnce 5100

6 months away from the new HPE Catalyst Plugin being released.

However, Veritas has informed me of the following.

From our Engineering team:

Yes, but there’s good news. 

Yes, it does look like a new HPE Catalyst plug-in is a few months away. (It’s probably more like three months than six.) 

However, customers aren’t going to have to wait that long. The OST developers are putting a fix into 8.3.0.1 so plug-ins built with earlier API versions will load and run with the new v12 API introduced in NB 8.3.  

As such, they should have a working plug-in again in a few weeks when 8.3.0.1 is available.

Looks like we’ll have one in a few weeks!